Music-Story (2.0.0)
The first step is to create an account to the Music Story platform called the Metadata Monitor.
More than a visual version of the metadata available in our API, the Metadata Monitor gives you access to a dedicated API section with services like:
- An overview of the number of API calls
- Access to your token
- Information about API status
- An access to contact our teams for support
How can I test the API?
You can create a 15-day trial account. It will automatically generate a token giving you access to the API for the same time frame. You'll be able to access any endpoint in our API, but you'll be limited to 200 calls per day.
How can I get premium access?
You can contact us at musicstorypro@music-story.com in order to get a premium account and together we'll be able to customize your access to our different endpoints and the rate limit according to your needs.
With a metadata monitor account, by default (Trial account) you are allowed 200 requests per day. (Fixed window method)
Once this quota has been reached, you will receive an HTTP status code 429 - Too Many Requests
If this happens too often, you can contact us at musicstorypro@music-story.com to increase your limit.
To find out where you stand, you have two options.
Go to the motnitor metadata in the API - Monitoring tab
Call the endpoint
/user/api/statusYou'll receive a response like this{ "X-Rate-Limit-Remaining": 5, "X-Rate-Limit-Limit": 5, "X-Rate-Limit-Retry-After": 0 }
Example: Suppose you have a rate limit of 1000 requests per day. If you attempts to make 1200 requests within a 24-hour period, the API will respond with a rate limit exceeded error, indicating that the user has reached their daily quota.
/api/artist
Search Music Story artist
Authorizations:
query Parameters
| query | string Name or ID of Artist to search |
| page | integer >= 1 Default: 1 Page number |
| isni | string ISNI to filter results |
| musicbrainz_id | string Musicbrainz ID to filter results |
| spotify_id | string Spotify ID to filter results |
| deezer_id | string Deezer ID to filter results |
| napster_id | string Napster ID to filter results |
| qobuz_id | string Qobuz ID to filter results |
| apple_id | string Apple Music ID to filter results |
| sevendigital_id | string 7Digital ID to filter results |
| wikidata_id | string Wikidata ID to filter results |
Responses
Response Schema: application/json
Array of objects | |||||||||||||||||||||||||||
Array
| |||||||||||||||||||||||||||